Categories:
  - Development
License: GPL-3.0-only
SourceCode: https://archive.softwareheritage.org/browse/origin/http://alogcat.googlecode.com/svn//directory/

AutoName: aLogcat
Description: |-
  An app equivalent of logcat from the terminal. You can filter by importance in
  the settings: see only errors or view general debugging info. The result can
  then be filtered by keyword so if an app has problems you can send just the
  relevant logs to the developer. But watch out, the filter remains in place
  unless you remove it!

  It might not work on Android 4.1+, since apps are not allowed to access each
  other's logs. In custom ROMs with root access it should still probably work.

Builds:
  - versionName: 2.1.6
    versionCode: 34
    commit: '28'

  - versionName: '2.3'
    versionCode: 36
    commit: '30'

  - versionName: 2.3.2
    versionCode: 38
    commit: '31'
    prebuild:
      - find . -type f -name \*.java -print0 | xargs -0 sed -i "s/^import org\.jtb\.alogcat\.donate\.R;$/import
        org.jtb.alogcat.R;/g"
      - sed -i "s/org.jtb.alogcat.donate/org.jtb.alogcat/" AndroidManifest.xml

  - versionName: '2.4'
    versionCode: 39
    commit: '37'

  - versionName: '2.5'
    versionCode: 40
    commit: '41'
    prebuild:
      - find . -type f -name \*.java -print0 | xargs -0 sed -i "s/^import org\.jtb\.alogcat\.donate\.R;$/import
        org.jtb.alogcat.R;/g"
      - sed -i "s/org.jtb.alogcat.donate/org.jtb.alogcat/" AndroidManifest.xml

  - versionName: 2.6.1
    versionCode: 43
    commit: '48'
    prebuild:
      - find . -type f -name \*.java -print0 | xargs -0 sed -i "s/^import org\.jtb\.alogcat\.donate\.R;$/import
        org.jtb.alogcat.R;/g"
      - sed -i "s/org.jtb.alogcat.donate/org.jtb.alogcat/" AndroidManifest.xml

MaintainerNotes: |-
  - https://f-droid.org/packages/org.jtb.alogcat/
  - Fork: https://f-droid.org/packages/rs.pedjaapps.alogcatroot.app/

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 2.6.1
CurrentVersionCode: 43

NoSourceSince: 2.1.6
